## banflag2.tcl revision 30dec96 by Tyson (tyson@smoosh.mhv.net)
## banflag1.tcl *author unknown*

###WARNING: if another script is using user defined flags 1 or 2 you 
###         WILL want to change two lines below!!!!!! 

## line below defines the user defined flag to use. this sets flag1 to z
## IF another script already uses flag1 you will need to change it to
## flag2, flag3.......(if you want to use weedz change it there too!)
set flag1 z

## next line really isn't used by this script, but is used in conjunction 
## with weedz and will allow you to make a user +v for VIP. The only thing
## special about this kind of user is that it is NEVER weeded when using 
## weedz --if you don't want this # it out. Same rule as above if flag2 
## is already used by another script.........
set flag2 v

################ No changes needed below this line ##################

proc join_kickban {nick uhost handle channel} {
  global botnick
  set banmask "*!*[string trimleft [maskhost $uhost] *!]"
  if {([ matchattr $handle f ] || [ matchattr $handle m ] || [ matchattr $handle n ])} {
    return 0
  }
  if {[ matchattr $handle o ]} {
    chattr $handle -op
    setemail $handle "op flag removed - conflict with ban flag."
    putlog "Removed op flag from $handle - conflict with ban flag."
  }
  # If the ban is already on the channel, don't re-ban it
  if {[ischanban $banmask $channel]} {
    return 0
  }
  # If the ban is already on the bot, don't re-ban it
  if {[isban $banmask $channel]} {
    return 0
  }
  set info [getinfo $handle]
  if {"[string index $info 0]" == "@"} {
    set info [string range $info 1 end]
  } else {
    set info "You are banned"
  }
  newchanban $channel $banmask $botnick "banflag: $info"
  putlog "###banflag triggered on $channel by $banmask ($info)"
  return 0
}
bind join z * join_kickban
putlog "banflag2 (revision by Tyson) Loaded. Ban on join on Flag $flag1"
